# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(Filter/Util/Call.pm) perl(HTTP/Headers/Util.pm) perl(HTTP/Request.pm) perl(JSON.pm) perl(LWP/MediaTypes.pm) perl(LWP/Simple.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(PerlIO.pm) perl(Plack/App/URLMap.pm) perl(Plack/Middleware.pm) perl(Plack/Middleware/Conditional.pm) perl(Plack/Util/Accessor.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/Deep.pm) perl(Text/Diff.pm) perl(URI.pm) perl(YAML.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm)
BuildRequires: perl(overload.pm) perl(parent.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Plack-Middleware-LimitRequest
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: HTTP Request Limitation for Plack apps
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TA/TANIGUCHI/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Plack::Middleware::LimitRequest provides HTTP request size limitation for
HTTP request body, the number of request header fields,
size of an HTTP request header field and size of a client's HTTP request-line.
It works similar to Apache core directives,
`LimitRequestBody', `LimitRequestFields', `LimitRequestFieldSize' and
`LimitRequestLine'.
This is useful to protect against kind of DDoS attacks.

If your application is working behind some Apache reverse proxy servers
(using mod_proxy module), most of directives above works correctly,
so you should configure them on the Apache configuration.
But, only `LimitRequestBody' directive does not work for proxied requests.
This module solves, especially in the case that demand to limit
for the size of HTTP request body.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
* Wed Nov 12 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

